#include "PocketHal.h"

#ifndef _SIMPLE_H_

#define _SIMPLE_H_

#include <atlbase.h>
#include "pockethal.h"
#include "game.h"
#include "frogdefs.h"
#include "image.h"
#include "resource.h"


class Simple : public Game
{
public:
  
    Simple();//constructor
    virtual ~Simple();//destructor

	virtual bool GameInit();
	virtual void GameLoop();
	virtual void GameEnd();
	virtual void ButtonDown( int button );
	virtual void ButtonUp( int button );

private:
    Display* m_display;

    Surface* TextureData;
	float	 ShadingStep;
	float	 Shading;

};

#endif