#ifndef _SIMPLEFROG_H_
#define _SIMPLEFROG_H_

#ifdef _MSC_VER

// Fix VC's for() scope problem
//#define for if (0) ; else for

// Disable some useless warnings
#pragma warning( disable: 4786 )
#pragma warning( disable: 4390 )

#endif

#include <windows.h>
#include "pockethal.h"
#include "pocketpc.h"


//////////////////////////////////////////////////////////////////////////////
//
// Pixel - PocketFrog always work with a 16 bit pixel (565 color format)
//
//////////////////////////////////////////////////////////////////////////////

typedef uint16_t Pixel;



//////////////////////////////////////////////////////////////////////////////
//
// Color masks, shifts and bits
//
//////////////////////////////////////////////////////////////////////////////

const Pixel RED_MASK    = 0x1F << 11;
const Pixel GREEN_MASK  = 0x3F << 5;
const Pixel BLUE_MASK   = 0x1F;
const int   RED_SHIFT   = 11;
const int   GREEN_SHIFT = 5;
const int   BLUE_SHIFT  = 0;
const int   RED_BITS    = 5;
const int   GREEN_BITS  = 6;
const int   BLUE_BITS   = 5;

#endif

